/*
 * anyRemote
 * a bluetooth remote for your PC.
 * Copyright (C) 2006
 * 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */

#ifndef _CMDS_H
#define _CMDS_H

#include "parse.h"

#define PARAM_START     "$("
#define PARAM_CALLID    "CallId)"
#define PARAM_TIME      "Time)"
#define PARAM_MODE      "Mode)"
#define PARAM_PARAM     "Param)"

#define SEND_STRING     "string"
#define SEND_BYTES      "bytes"

#define SET_ICONS      "icons"
#define SET_TITLE      "title"
#define SET_STATUS     "status"
#define SET_TEXT       "text"

int 	    processCommands (cmdItem* cmdList);
void        freeTimers      ();
int         verifyTimers    (int ticksInSec);
int         cancelTimer     (char *id);
int         processTimerCmd (char *origCmd);
int  	    handleCmdByKey  (type_key* k);

#endif
